# Uses of Class
io.dapr.client.domain.RuleMetadata

Packages that use RuleMetadata
Package
Description
io.dapr.client.domain

## Uses of RuleMetadata in io.dapr.client.domain

Methods in io.dapr.client.domain that return types with arguments of type RuleMetadata
Modifier and Type
Method
Description
`List<RuleMetadata>`
SubscriptionMetadata.`getRules()`
Constructor parameters in io.dapr.client.domain with type arguments of type RuleMetadata
Modifier
Constructor
Description
``
`SubscriptionMetadata(String pubsubname, String topic, Map<String,String> metadata, List<RuleMetadata> rules, String deadLetterTopic)`
Constructor for a SubscriptionMetadata.